rt2460 and linux 2.6.31

As of linux 2.6.31 there is no mainline support for the Ralink rt2680 Wifi chipset. While there is an official driver provided by Ralinktech, it is incompatible with 2.6.31 due to the fact that post 2.6.29 the kernel's net_device_ops API has changed and 2.6.31 also removed CONFIG_COMPAT_NET_DEV_OPS backwards compatibility.

So I came up with a small patch to the Ralink driver.

The solution is to get the module source from http://www.ralinktech.com/support.php?s=2 (tested with version 2.1.2.0 from 05/21/2009) and apply the patch before compilation..

Ralinktech provides a README file how to do this, basically you'll need the kernel-source or kernel-headers, and then simply type make after unzipping and patching the module source.

You could leave a comment if you were logged in.
 
blog/rt2460_and_linux_2.6.31.txt · Last modified: 18.09.2009 12:33 by rgareus